## argus 0.1

=== DESCRIPTION ===
Package: argus
Type: Package
Title: Random Variate Generator for the Argus Distribution
Version: 0.1
Authors@R: c(person("Wolfgang", "Hormann", email = "hormannw@boun.edu.tr",
                  role = c("aut", "cre")),
				  person("Christoph","Baumgarten",role = c("aut")))
Maintainer: Wolfgang Hormann <hormannw@boun.edu.tr>
Imports: Runuran
Description: 
  Random variate generation, density, CDF and quantile function 
  for the Argus distribution. Especially, it includes for random variate generation a
  flexible inversion method that is also fast in the varying parameter case.
  A Ratio-of-Uniforms method is provided as second alternative.
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: yes
Repository: CRAN
Packaged: 2022-08-13 06:42:40 UTC; hormannw
Author: Wolfgang Hormann [aut, cre],
  Christoph Baumgarten [aut]
Date/Publication: 2022-08-15 09:30:14 UTC

## argus 0.1.1

=== DESCRIPTION ===
Package: argus
Type: Package
Title: Random Variate Generator for the Argus Distribution
Version: 0.1.1
Authors@R: c(person("Wolfgang", "Hormann", email = "hormanngw@yahoo.com",
                  role = c("aut", "cre")),
				  person("Christoph","Baumgarten",role = c("aut")))
Maintainer: Wolfgang Hormann <hormanngw@yahoo.com>
Imports: Runuran
Description: 
  Random variate generation, density, CDF and quantile function 
  for the Argus distribution. Especially, it includes for random variate generation a
  flexible inversion method that is also fast in the varying parameter case.
  A Ratio-of-Uniforms method is provided as second alternative.
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: yes
Repository: CRAN
Packaged: 2023-09-15 06:05:07 UTC; hormannw
Author: Wolfgang Hormann [aut, cre],
  Christoph Baumgarten [aut]
Date/Publication: 2023-09-15 08:02:29 UTC

## argus 2.0.5.beta.5

=== contrib/Cflow-1.049/Makefile ===
# This Makefile is for the Cflow extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.45 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#	CONFIGURE => CODE(...)
#	EXE_FILES => [q[flowdumper]]
#	NAME => q[Cflow]
#	PM => { Cflow.pm=>q[$(INST_LIBDIR)/Cflow.pm] }
#	VERSION_FROM => q[Cflow.pm]
#	clean => { FILES=>q[$(EXE_FILES)] }
#	dist => { COMPRESS=>q[gzip], SUFFIX=>q[gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/local/lib/perl5/5.6.1/i686-linux/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc
CCCDLFLAGS = -fpic
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = gcc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.2.4.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.2.17-14
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = Cflow
DISTNAME = Cflow
NAME_SYM = Cflow
VERSION = 1.049
VERSION_SYM = 1_049
XS_VERSION = 1.049
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr/local
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)/lib/perl5/5.6.1
INSTALLARCHLIB = $(PREFIX)/lib/perl5/5.6.1/i686-linux
INSTALLSITELIB = $(PREFIX)/lib/perl5/site_perl/5.6.1
INSTALLSITEARCH = $(PREFIX)/lib/perl5/site_perl/5.6.1/i686-linux
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/local/lib/perl5/5.6.1
PERL_ARCHLIB = /usr/local/lib/perl5/5.6.1/i686-linux
SITELIBEXP = /usr/local/lib/perl5/site_perl/5.6.1
SITEARCHEXP = /usr/local/lib/perl5/site_perl/5.6.1/i686-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/local/lib/perl5/5.6.1/i686-linux/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
FULL_AR = /usr/bin/ar

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/local/lib/perl5/5.6.1/ExtUtils/MakeMaker.pm
MM_VERSION = 5.45

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Cflow
BASEEXT = Cflow
DLBASE = $(BASEEXT)
VERSION_FROM = Cflow.pm
INC = 
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= Cflow.xs
C_FILES = Cflow.c
O_FILES = Cflow.o
H_FILES = cflow5.h
HTMLLIBPODS    = 
HTMLSCRIPTPODS = 
MAN1PODS = flowdumper
MAN3PODS = Cflow.pm
HTMLEXT = html
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/man/man1
MAN1EXT = 1
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/man/man3
MAN3EXT = 3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT    = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = Cflow.pm

PM_TO_BLIB = Cflow.pm \
	$(INST_LIBDIR)/Cflow.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/local/lib/perl5/5.6.1/ExtUtils
XSUBPP = $(XSUBPPDIR)/xsubpp
XSPROTOARG = 
XSUBPPDEPS = $(XSUBPPDIR)/typemap $(XSUBPP)
XSUBPPARGS = -typemap $(XSUBPPDIR)/typemap


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = gcc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip
SUFFIX = gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# Cflow might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -lnsl
LDLOADLIBS = -lnsl
BSLOADLIBS = 
LD_RUN_PATH = /lib


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(INC) $(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all htmlifypods manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN1DIR)/.exists
	@$(NOOP)


$(INST_MAN1DIR)/.exists :: /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN1DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h $(INST_MAN1DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN1DIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.6.1/i686-linux/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

$(O_FILES): $(H_FILES)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e "Version_check('$(MM_VERSION)')"


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP = Cflow.bs

# As Mkbootstrap might not write a file (if none is required)
# we use touch to prevent make continually trying to remake it.
# The DynaLoader only reads a non-empty file.
$(BOOTSTRAP): Makefile  $(INST_ARCHAUTODIR)/.exists
	@echo "Running Mkbootstrap for $(NAME) ($(BSLOADLIBS))"
	@$(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" \
		-MExtUtils::Mkbootstrap \
		-e "Mkbootstrap('$(BASEEXT)','$(BSLOADLIBS)');"
	@$(TOUCH) $(BOOTSTRAP)
	$(CHMOD) $(PERM_RW) $@

$(INST_BOOT): $(BOOTSTRAP) $(INST_ARCHAUTODIR)/.exists
	@rm -rf $(INST_BOOT)
	-cp $(BOOTSTRAP) $(INST_BOOT)
	$(CHMOD) $(PERM_RW) $@


# --- MakeMaker dynamic_lib section:

# This section creates the dynamically loadable $(INST_DYNAMIC)
# from $(OBJECT) and possibly $(MYEXTLIB).
ARMAYBE = :
OTHERLDFLAGS = 
INST_DYNAMIC_DEP = 

$(INST_DYNAMIC): $(OBJECT) $(MYEXTLIB) $(BOOTSTRAP) $(INST_ARCHAUTODIR)/.exists $(EXPORT_LIST) $(PERL_ARCHIVE) $(PERL_ARCHIVE_AFTER) $(INST_DYNAMIC_DEP)
	$(RM_F) $@

## argus 3.0.8.1

=== debian/changelog ===
argus (2:3.0.8.1-2) unstable; urgency=low

  * Build without sasl for now
  * Call systemd service "argus" rather than "argus-server"

 -- Michael Stone <mstone@debian.org>  Thu, 28 Apr 2016 10:55:12 -0400

argus (2:3.0.8.1-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * Remove ppp support scripts. May add them as examples in doc, but this
    is likely to be an uncommon enough configuration that it's not worth the
    additional startup configuration complexity in a post-systemd world
  * Use systemd service rather than init.d script
  * Enable sasl for remote access
  * Change default argus output to "argus.out" rather than "argus.log" to 
    mirror upstream behavior.
  * NEWS entry explaining compatibility constraints

 -- Michael Stone <mstone@debian.org>  Mon, 25 Apr 2016 15:18:14 -0400

argus (2:3.0.0-3.1) experimental; urgency=low

  * Non-maintainer upload.
  * Replace the private libpcap function pcap_offline_read
    with the proper pcap_dispatch function.
    Add use-pcap_dispatch.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>
    Closes: #599972.
  * Remove argus_get_leng.
    These changes are included in newer, (3.0.2) argus version.
    Add remove-argus_get_leng.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>
    Closes: #749578.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 28 May 2014 13:34:20 +0100

argus (2:3.0.0-3) experimental; urgency=low

  * debian/rules: make /var/log/argus 750 again

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Jun 2009 23:15:36 -0700

argus (2:3.0.0-2) experimental; urgency=low

  * debian/rules: general cleanup
  * debian/copyright: added correct copyright information
  * debian/control: build-depend on debhelper 7

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Jun 2009 23:07:02 -0700

argus (2:3.0.0-1) experimental; urgency=low

  * New upstream release (just for Rick)
  * debian/prerm: stop removing /usr/sbin/argus on upgrade (closes: #522333)
  * debian/argus-server.{config,postrm}: make set -e
  * debian/compat: increase to 5
  * debian/rules: adjusted invokation of "make clean" in clean target
  * debian/control: remove build dependency on devscripts, adjust debhelper
    version dependency
  * debian/control: bumped Standards-Version to 3.8.2

 -- Andrew Pollock <apollock@debian.org>  Sat, 27 Jun 2009 15:08:38 -0700

argus (1:3.0.0.rc.34-1) experimental; urgency=low

  * New upstream release (just for Rick)

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Nov 2006 22:30:13 -0800

argus (1:3.0.0.rc.33-1) experimental; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Tue, 17 Oct 2006 22:25:24 -0700

argus (1:3.0.0.rc.30-1) experimental; urgency=low

  * New upstream release
  * debian/argus-server.init: made LSB-compliant

 -- Andrew Pollock <apollock@debian.org>  Sun,  1 Oct 2006 14:22:11 -0700

argus (1:3.0.0.rc.26-1) experimental; urgency=low

  * New upstream release
  * debian/argus.conf: set ARGUS_SET_PID to yes
  * debian/argus-server.init: rework to handle new PID file behaviour

 -- Andrew Pollock <apollock@debian.org>  Sun, 20 Aug 2006 15:06:55 -0700

argus (1:3.0.0.rc.14-1) experimental; urgency=low

  * New upstream release
  * debian/rules: dh_link call to create argus -> argus_linux symlink no
    longer required (closes: #377274)
  * debian/argus-server.install: the binary is now called argus

 -- Andrew Pollock <apollock@debian.org>  Sat,  8 Jul 2006 10:03:17 -0700

argus (1:3.0.0.rc.10-1) experimental; urgency=low

  * New upstream release
  * debian/argus-server.prerm: use invoke-rc.d
  * debian/control: bumped Standards-Version to 3.7.2 (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 20 Jun 2006 15:39:31 -0700

argus (1:2.0.6.fixes.1-11) unstable; urgency=low

  * debian/argus.conf: ship with ARGUS_MONITOR_ID set instead of
    the deprecated ARGUS_MONITOR_DATA (closes: #345805)
  * Added Portuguese debconf template translation (Obrigado Miguel Figueiredo)
    (closes: #337544)

 -- Andrew Pollock <apollock@debian.org>  Sat,  7 Jan 2006 21:52:26 -0800

argus (1:2.0.6.fixes.1-10) unstable; urgency=low

  * Added Spanish debconf template translation (Gracias César Gómez Martín)
    (closes: #333876)

 -- Andrew Pollock <apollock@debian.org>  Fri, 14 Oct 2005 19:30:14 +1000

argus (1:2.0.6.fixes.1-9) unstable; urgency=low

  * Added Swedish debconf template translation (Tack Daniel Nylander) (closes:
    #330939)

 -- Andrew Pollock <apollock@debian.org>  Sat,  1 Oct 2005 18:57:04 +1000

argus (1:2.0.6.fixes.1-8) unstable; urgency=low

  * debian/control: Removed explicit dependency on debconf and used
    ${misc:Depends} instead.
  * debian/argus-server.config: removed bashism
  * debian/control: Bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Wed, 10 Aug 2005 22:21:27 +1000

argus (1:2.0.6.fixes.1-7) unstable; urgency=low

  * debian/control: make argus-server depend on debconf | debconf-2.0

 -- Andrew Pollock <apollock@debian.org>  Thu,  4 Aug 2005 15:20:57 +1000

argus (1:2.0.6.fixes.1-6) unstable; urgency=low

  * debian/rules: actually pass CFLAGS to configure

 -- Andrew Pollock <apollock@debian.org>  Tue, 21 Jun 2005 23:01:22 +1000

argus (1:2.0.6.fixes.1-5) unstable; urgency=low

  * Added Vietnamese template translation (Cám ón Clytie Siddall) (closes:
    #313115)

 -- Andrew Pollock <apollock@debian.org>  Sun, 12 Jun 2005 22:47:19 +1000

argus (1:2.0.6.fixes.1-4) unstable; urgency=high

  * debian/{argus-server.conf,postinst}: quoted some unquoted variables
    that caused ugliness when installed with DEBIAN_FRONTEND=noninteractive
    (closes: #308211)
  * debian/control: add dependency on net-tools (closes: #308242)

 -- Andrew Pollock <apollock@debian.org>  Mon,  9 May 2005 08:55:35 +1000

argus (1:2.0.6.fixes.1-3) unstable; urgency=low

  * Added Czech template translation (diky Miroslav Kure) (closes: #297599)



## argus 3.0.8.2

=== debian/changelog ===
argus (2:3.0.8.2-2) unstable; urgency=low

  * Fix FTBFS with gcc-10 (Closes: #957006)
  * Update debhelper dependency (Closes: #958583)
  * Update standards version

 -- Michael Stone <mstone@debian.org>  Wed, 29 Jul 2020 14:22:41 -0400

argus (2:3.0.8.2-1) unstable; urgency=low

  * New upstream version

 -- Michael Stone <mstone@debian.org>  Tue, 13 Sep 2016 07:28:21 -0400

=== debian/control ===
Source: argus
Section: net
Priority: optional
Maintainer: Michael Stone <mstone@debian.org>
Standards-Version: 4.5.0
Build-Depends: libpcap-dev, libwrap0-dev, libsasl2-dev, zlib1g-dev, bison, flex, debhelper (>= 10)

Package: argus-server
Architecture: any
Recommends: argus-client
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate, net-tools
Description: IP network transaction auditing tool
 argus is a network transaction auditing tool that allows the user
 to easily classify connections using tcpdump(1) compliant expressions.
 Argus runs as an application level daemon, promiscuously reading network
 datagrams from a specified interface, and generates network traffic audit
 records for the network activity that it encounters.  
 Auditing records can be used to ensure that access control policies are
 being enforced, identify network problems such as denial of service attacks
 and more.
 .
 This package contains the binaries required for the argus server. 
 Please see the package argus-client for appropriate clients.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = argus-server

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- 

override_dh_installinit:
	dh_installinit --noscripts --name argus

override_dh_fixperms:
	dh_fixperms
	chmod 750 debian/argus-server/var/log/argus
	chgrp adm debian/argus-server/var/log/argus

override_dh_auto_install:
	chmod -x support/System/crontab support/System/magic

## argus 5.0.2

=== debian/changelog ===
argus (2:5.0.2-3) unstable; urgency=medium

  * Don't check for /var/lib/dbus/machine-id during build.
    Thanks Helmut Grohne <helmut@subdivi.de> (Closes: #1103917)
  * Update standards version (no changes)

 -- Michael Stone <mstone@debian.org>  Tue, 22 Apr 2025 17:47:40 -0400

argus (2:5.0.2-2) unstable; urgency=medium

  * Correct invalid nsec value leading to crash
  * Update overrides
  * Fix man warnings

 -- Michael Stone <mstone@debian.org>  Sun, 20 Apr 2025 11:57:49 -0400

argus (2:5.0.2-1) unstable; urgency=low

  * New upstream version

 -- Michael Stone <mstone@debian.org>  Mon, 07 Apr 2025 13:36:34 -0400

argus (2:3.0.8.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libtirpc-dev and libnsl-dev to Build-Depends (Closes: #1065179)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Mar 2024 00:23:29 +0100

argus (2:3.0.8.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fno-strict-aliasing to workaround corrupted argus.out
    files due to aliasing violations, thanks to Andrea Galli and
    Marco d'Itri. (Closes: #1028081)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 18:15:42 +0200

argus (2:3.0.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Tiago Stürmer Daitx to use libtirpc.
    (Closes: #980016)
  * Homepage: https://openargus.org (Closes: #974760)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Nov 2021 18:45:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Michael Stone <mstone@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: libpcap-dev, libwrap0-dev, libsasl2-dev, zlib1g-dev, bison, flex, debhelper (>= 10)
+Standards-Version: 4.7.2
+Build-Depends: libpcap-dev, libwrap0-dev, libsasl2-dev, zlib1g-dev, bison, flex, debhelper (>= 10), libtirpc-dev, libnsl-dev
+Rules-Requires-Root: binary-targets
+Homepage: https://openargus.org
 
 Package: argus-server
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,17 @@
 
 PACKAGE = argus-server
 
+export DEB_CFLAGS_MAINT_APPEND  = -fno-strict-aliasing
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+# This file may or may not exist in the build environment and influences the
+# build result. On Debian buildds it tends to be missing.
+export ac_cv_file__var_lib_dbus_machine_id=no
+
 %:
 	dh ${@}
-
-override_dh_auto_configure:
-	dh_auto_configure -- 
 
 override_dh_installinit:
 	dh_installinit --noscripts --name argus

## argus python-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = argus_python
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
